For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
            • GETText search
            • GETSmart search
          • GETList conversations
          • GETGet conversation details
          • DELDelete conversation
          • GETGet conversation audio
          • GETGet signed URL
          • GETGet conversation token
          • POSTSend conversation feedback
          • POSTUpload conversation file
          • DELDelete conversation file
          • GETGet SIP messages for a conversation
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceConversationsMessages

Smart search

GET
/v1/convai/conversations/messages/smart-search
GET
/v1/convai/conversations/messages/smart-search
$curl -G https://api.elevenlabs.io/v1/convai/conversations/messages/smart-search \
> --data-urlencode "text_query=Customer asking to cancel and get money back"
1{
2 "results": [
3 {
4 "conversation_id": "string",
5 "agent_id": "string",
6 "transcript_index": 1,
7 "chunk_text": "string",
8 "score": 1.1,
9 "conversation_start_time_unix_secs": 1,
10 "agent_name": "string",
11 "chunk_highlights": [
12 {
13 "value": "string",
14 "is_hit": true
15 }
16 ]
17 }
18 ],
19 "has_more": true,
20 "meta": {
21 "total": 1,
22 "page": 1,
23 "page_size": 1
24 },
25 "next_cursor": "string"
26}
Search conversation transcripts by semantic similarity to surface relevant messages based on meaning and intent, rather than exact keyword matches
Was this page helpful?
Previous

Get agent conversation topics

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

text_querystringRequired
The search query text for semantic similarity matching
agent_idstring or nullOptional

Agent id (agent_…) or speech engine external id (seng_), resolved to the same underlying resource.

page_sizeintegerOptional1-50Defaults to 20
Number of results per page. Max 50.
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
resultslist of objects
has_moreboolean
Whether there are more results available
metaobject
next_cursorstring or null
Cursor for the next page of results

Errors

422
Unprocessable Entity Error